## devisor2.foundation.boundary
Class BoundaryNode

    java.lang.Object
      devisor2.foundation.GridItem
          devisor2.foundation.elements.Node
              devisor2.foundation.boundary.BoundaryNode

All Implemented Interfaces:
  java.io.Serializable

public class BoundaryNode
extends Node
implements java.io.Serializable

This class BoundaryNode represents a BoundaryNode of a grid, which is more special than a regular node, because its position is not controlled via the coordinates, but via a parameter value on the boundary segment.

See Also:
  Serialized Form

Field Summary
`Boundary` `boundary` the boundary the node lies on
`Segment` `segment` the segment the node lies on
`double` `t` parameter value of the node on the specific boundary (range: 0 to segmentcount of the specific boundary)

Fields inherited from class devisor2.foundation.elements.Node
`coord, index, marker, npr, number, parents, value`

Fields inherited from class devisor2.foundation.GridItem
`cc, marked, transformed, xmax, xmin, ymax, ymin`

Constructor Summary
`BoundaryNode()` Creates a boundary node with parameter value 0
`BoundaryNode(double tt, Boundary bn)` Creates a boundary node with parameter value tt on boundary bn of the DomainBoundary
`BoundaryNode(double tt, Boundary bn, Segment s)` Creates a boundary node with parameter value tt on boundary bn of the DomainBoundary

Method Summary
`java.lang.Object` `clone()` returns a copy of this boundary node
`Boundary` `getBoundary()` returns the boundary of this node
`int` `getBoundaryNumber()` returns the number of the defining boundary
`double` `getParaValue()` returns the parameter value of this node
`Segment` `getSegment()` returns the segment the node lies on
`void` `setBoundary(Boundary bn)` sets the boundary of this node
`void` `setParaValue(double tt)` sets the parameter value of this boundary node and updates coordinates accordingly
`void` `setSegment(Segment s)` sets the segment to the new value
`void` `swap()` swaps the parameter value of this node
`java.lang.String` `toString()` prints the node's coordinates to the standard output
`void` `updateBoundaryNode()` sets the cartesian coordinates of the node according to the parameter value

Methods inherited from class devisor2.foundation.elements.Node
`addParent, draw, equals, equals2, getCoord, getCoord, getFathers, getMarker, getNPR, getNumber, getParameters, getParams, getParents, getPerimeter, getValue, interpolate, isHit, isInside, performMirror, performTransformation, removeParent, setCoord, setCoord, setCoord, setCoord, setMarker, setNPR, setNumber, setParameters, setParams, setValue`

Methods inherited from class devisor2.foundation.GridItem
`clearTransformedFlag, isMarked, setMarker, setMarker, unsetMarker`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### t

    public double t

  parameter value of the node on the specific boundary (range: 0 to segmentcount of the specific boundary)

### boundary

    public Boundary boundary

  the boundary the node lies on

### segment

    public Segment segment

  the segment the node lies on

Constructor Detail

### BoundaryNode

    public BoundaryNode()

  Creates a boundary node with parameter value 0

### BoundaryNode

    public BoundaryNode(double tt,
                        Boundary bn)

  Creates a boundary node with parameter value tt on boundary bn of the DomainBoundary

Parameters:
  `tt` - parameter value
  `bn` - boundary

### BoundaryNode

    public BoundaryNode(double tt,
                        Boundary bn,
                        Segment s)

  Creates a boundary node with parameter value tt on boundary bn of the DomainBoundary

Parameters:
  `tt` - parameter value
  `bn` - boundary
  `s` - segment to be placed on

Method Detail

### getBoundaryNumber

    public int getBoundaryNumber()

  returns the number of the defining boundary

  Returns:
    boundary number

### getParaValue

    public double getParaValue()

  returns the parameter value of this node

  Returns:
    parameter value

### setParaValue

    public void setParaValue(double tt)

  sets the parameter value of this boundary node and updates coordinates accordingly

### getBoundary

    public Boundary getBoundary()

  returns the boundary of this node

  Returns:
    boundary

### setBoundary

    public void setBoundary(Boundary bn)

  sets the boundary of this node

### getSegment

    public Segment getSegment()

  returns the segment the node lies on

### setSegment

    public void setSegment(Segment s)

  sets the segment to the new value

### updateBoundaryNode

    public void updateBoundaryNode()

  sets the cartesian coordinates of the node according to the parameter value

### swap

    public void swap()

  swaps the parameter value of this node

### toString

    public java.lang.String toString()

  Description copied from class: `Node`
  prints the node's coordinates to the standard output

  Overrides:
    `toString` in class `Node`
  Returns:
    a String representation of this node

### clone

    public java.lang.Object clone()

  returns a copy of this boundary node

  Overrides:
    `clone` in class `Node`
  Returns:
    Node